//
//  InputController.m
//  Wordbook
//
//  Created by KOYAMA Yoshiaki on Wed Jul 14 2004.
//  Copyright (c) 2004 KOYAMA Yoshiaki. All rights reserved.
//

#import "InputController.h"
#import "Word.h"


@implementation InputController


- (void)awakeFromNib {
}

#pragma mark -
#pragma mark === 入力処理 ====

// 入力ボタン
- (IBAction)input:(id)sender {
	[[_form cellAtIndex:0] setStringValue:@""];
	[[_form cellAtIndex:1] setStringValue:@""];
	[[_form cellAtIndex:2] setStringValue:@""];
	[_form selectTextAtIndex:0];
	
	[NSApp beginSheet:_panel 
	modalForWindow:_window 
	modalDelegate:self
	didEndSelector:@selector(sheetDidEnd:returnCode:contextInfo:)
	contextInfo:nil];
}

- (void)sheetDidEnd:(NSWindow *)sheet 
            returnCode:(int)returnCode
            contextInfo:(void *)contextInfo {

    if (returnCode == 1);
}

// 追加ボタン
- (IBAction)add:(id)sender {
	Word *data;
	NSString *word;
	NSString *symbol;
	NSString *meaning;

    [_panel orderOut:sender];
    [NSApp endSheet:_panel returnCode:1];

//	[_window setDocumentEdited:YES];
	[_document updateChangeCount:NSChangeDone];

	data = [[Word alloc] init];

	word = [[NSString stringWithString:[[_form cellAtIndex:0] stringValue]] retain];
	symbol = [[NSString stringWithString:[[_form cellAtIndex:1] stringValue]] retain];
	meaning = [[NSString stringWithString:[[_form cellAtIndex:2] stringValue]] retain];

//NSLog(@"%@", meaning);

	[data setValue:word forKey:@"word"];
	[data setValue:symbol forKey:@"symbol"];
	[data setValue:meaning forKey:@"meaning"];

	[_wordArrayController addObject:data];

	[_tabView selectTabViewItemAtIndex:0];
}

// キャンセルボタン
- (IBAction)cancel:(id)sender {
    [_panel orderOut:sender];
    [NSApp endSheet:_panel returnCode:2];
}

@end
