//
//  deleteController.m
//  Wordbook
//
//  Created by KOYAMA Yoshiaki on Fri Jul 23 2004.
//  Copyright (c) 2004 KOYAMA Yoshiaki. All rights reserved.
//

#import "deleteController.h"
#import "Word.h"

@implementation deleteController

- (void)awakeFromNib {
}

#pragma mark -
#pragma mark === 削除処理 ====

// 編集モードの削除ボタン
- (IBAction)deleteObject:(id)sender {
	Word *data;
	NSDate *date;
	NSString *word;
	NSString *symbol;
	NSString *meaning;
	NSArray *array;

	[[_form cellAtIndex:0] setObjectValue:[NSDate date]];
	[[_form cellAtIndex:1] setStringValue:@""];
	[[_form cellAtIndex:2] setStringValue:@""];
	[[_form cellAtIndex:3] setStringValue:@""];

	array = [_wordArrayController selectedObjects];

	if ([array count] > 0) {
		data = [array objectAtIndex:0];
	
		date = [data valueForKey:@"date"];
		word = [data valueForKey:@"word"];
		symbol = [data valueForKey:@"symbol"];
		meaning = [data valueForKey:@"meaning"];

		[[_form cellAtIndex:0] setObjectValue:date];
		[[_form cellAtIndex:1] setStringValue:word];
		[[_form cellAtIndex:2] setStringValue:symbol];
		[[_form cellAtIndex:3] setStringValue:meaning];
	}
	[NSApp beginSheet:_panel 
	modalForWindow:_window 
	modalDelegate:self
	didEndSelector:@selector(sheetDidEnd:returnCode:contextInfo:)
	contextInfo:nil];
}

- (void)sheetDidEnd:(NSWindow *)sheet 
            returnCode:(int)returnCode
            contextInfo:(void *)contextInfo {

    if (returnCode == 1);
}

// 削除ボタン
- (IBAction)deleteExec:(id)sender {

    [_panel orderOut:sender];
    [NSApp endSheet:_panel returnCode:1];

	[_document updateChangeCount:NSChangeDone];
	[_wordArrayController remove:self];

	[_tabView selectTabViewItemAtIndex:0];
}

// キャンセルボタン
- (IBAction)cancel:(id)sender {
    [_panel orderOut:sender];
    [NSApp endSheet:_panel returnCode:2];
}

@end
